/**
 
Copyright 2009 Palm, Inc.  All rights reserved.

*/

 
 
SystemSoundsService = Class.create({
	initialize: function(){
		
	}
	
});
 

SystemSoundsService.play = function(sound, sceneController){
		var args = {
				method: 'playFeedback',
				parameters: {
					name: sound
				}
			};

		llog("Calling "+SystemSoundsService.identifier+" with args "+Object.toJSON(args));
		return sceneController.serviceRequest(SystemSoundsService.identifier,args);
	
}

SystemSoundsService.FOCUS_SOUND = "focusing";
SystemSoundsService.SHUTTER_SOUND = "shutter";
SystemSoundsService.identifier = "palm://com.palm.audio/systemsounds/";